package be.iminds.ilabt.jfed.gts.model;

import javafx.collections.ObservableMap;

import java.util.Map;

/**
 * User: twalcari
 * Date: 6/5/2015
 * Time: 16:02
 */
public interface GtsLink {
    String getId();

    void setId(String id);

    Integer getCapacity();
    void setCapacity(Integer capacity);

    ObservableMap<String, ? extends GtsPort> getPorts();

    void setPorts(Map<String, ? extends GtsPort> ports);

    String getProviderId();

    void setProviderId(String providerId);

    GtsStatus getStatus();

    void setStatus(GtsStatus status);

    void addPort(GtsPort port);


    Map<String,String> getExtraProperties();
}
